# QTcpServer Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

- void QTcpServer(QObject parent)

### Constructor Properties

- prototype: The QTcpServer prototype object

### Prototype Object Properties

The QTcpServer prototype object inherits properties from the QObject prototype object and also has the following properties.

- void close()
- String errorString()
- bool hasPendingConnections()
- bool isListening()
- bool listen(QHostAddress address, unsigned short port)
- int maxPendingConnections()
- QTcpSocket nextPendingConnection()
- QNetworkProxy proxy()
- QHostAddress serverAddress()
- SocketError serverError()
- unsigned short serverPort()
- void setMaxPendingConnections(int numConnections)
- void setProxy(QNetworkProxy networkProxy)
- bool setSocketDescriptor(int socketDescriptor)
- int socketDescriptor()
- bool waitForNewConnection(int msec)

### Instance Properties

QTcpServer objects have no special properties beyond those inherited from the QTcpServer prototype object.